Bug 31377 - Add basket's internal note to tables on vendor search result list
Summary: Add basket's internal note to tables on vendor search result list
Status: Needs documenting
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Lucas Gass
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-08-16 22:24 UTC by Lucas Gass
Modified: 2022-10-14 20:39 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00


Attachments
Bug 31377: Add internal note column to booksellers.tt (1.79 KB, patch)
2022-08-16 22:27 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 31377: Add internal note column to booksellers.tt (1.85 KB, patch)
2022-08-18 19:48 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 31377: Add internal note column to booksellers.tt (1.91 KB, patch)
2022-08-20 09:20 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2022-08-16 22:24:16 UTC
Some libraries would find it handy if the internal note (aqbasket.note) was a column on booksellers.pl
Comment 1 Lucas Gass 2022-08-16 22:27:04 UTC
Created attachment 139219 [details] [review]
Bug 31377: Add internal note column to booksellers.tt

To test:
-Apply patch
-Add some vendors and give them an internal note
-Go to /cgi-bin/koha/acqui/booksellers.pl
-Notice that there is a column which includes the internal note
Comment 2 Andrew Fuerste-Henry 2022-08-18 19:47:39 UTC
We're making the basket internal note visible here, right? Not the vendor note? The test plan contained what I think was an error. Here's what I did:

To test:
-Apply patch
-Add some BASKETS and give them an internal note
-Go to /cgi-bin/koha/acqui/booksellers.pl
-Notice that there is a column which includes the internal note
Comment 3 ByWater Sandboxes 2022-08-18 19:48:13 UTC
Created attachment 139415 [details] [review]
Bug 31377: Add internal note column to booksellers.tt

To test:
-Apply patch
-Add some vendors and give them an internal note
-Go to /cgi-bin/koha/acqui/booksellers.pl
-Notice that there is a column which includes the internal note

Signed-off-by: Andrew Fuerste-Henry <andrewfh@gmail.com>
Comment 4 Lucas Gass 2022-08-18 19:49:40 UTC
Andrew,

Thanks. Yes, I meant BASKET not vendor.
Comment 5 Katrin Fischer 2022-08-20 09:20:51 UTC
Created attachment 139538 [details] [review]
Bug 31377: Add internal note column to booksellers.tt

To test:
-Apply patch
-Add some vendors and give them an internal note
-Go to /cgi-bin/koha/acqui/booksellers.pl
-Notice that there is a column which includes the internal note

Signed-off-by: Andrew Fuerste-Henry <andrewfh@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Tomás Cohen Arazi 2022-08-22 16:19:12 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 7 Lucas Gass 2022-10-14 19:55:56 UTC
Enhancement will not be backported to 22.05.x series